groovy.lang

## Interface AdaptingMetaClass

All Superinterfaces:
  MetaClass, MetaObjectProtocol

All Known Implementing Classes:
  MockProxyMetaClass, ProxyMetaClass

    public interface AdaptingMetaClass
    extends MetaClass

An interface for MetaClass instances that "adapt" other MetaClass instances such as a proxy or delegating MetaClass.

Since:
  1.5
Author:
  Graeme Rocher

### Method Summary

All Methods Instance Methods Abstract Methods
`MetaClass` `getAdaptee()` Returns the MetaClass that this adapter adapts
`void` `setAdaptee(MetaClass metaClass)` Sets the MetaClass adapted by this MetaClass

### Methods inherited from interface groovy.lang.MetaClass

`getAttribute, getClassNode, getMetaMethods, getMethods, getProperties, getProperty, initialize, invokeMethod, invokeMissingMethod, invokeMissingProperty, pickMethod, selectConstructorAndTransformArguments, setAttribute, setProperty`

### Methods inherited from interface groovy.lang.MetaObjectProtocol

`getAttribute, getMetaMethod, getMetaProperty, getProperty, getStaticMetaMethod, getTheClass, hasProperty, invokeConstructor, invokeMethod, invokeMethod, invokeStaticMethod, respondsTo, respondsTo, setAttribute, setProperty`

### Method Detail

#### getAdaptee

    MetaClass getAdaptee()

Returns the MetaClass that this adapter adapts

Returns:
  The MetaClass instance

#### setAdaptee

    void setAdaptee(MetaClass metaClass)

Sets the MetaClass adapted by this MetaClass

Parameters:
  `metaClass` - The MetaClass to adapt